package com.crov.repositories;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import com.crov.models.Distribuidor;

@Repository
public interface DistribuidorRepository extends JpaRepository<Distribuidor, Long>{

	List<Distribuidor> findByActivoTrue(); // Obtiene solo los distribuidores con 'activo = true'
}
