package com.crov.crovWSTotal;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.boot.autoconfigure.security.servlet.SecurityAutoConfiguration;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;
import org.springframework.validation.annotation.Validated;

@SpringBootApplication(scanBasePackages = {"com.crov.controllers", "com.crov.services"}, 
exclude = { SecurityAutoConfiguration.class })
@EntityScan(basePackages = "com.crov.models")
@EnableJpaRepositories(basePackages = "com.crov.repositories")
@Validated  // Habilitar validación global
public class CrovWsTotalApplication {

	public static void main(String[] args) {
		SpringApplication.run(CrovWsTotalApplication.class, args);
	}

}
