package com.crov.services;

import java.util.UUID;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.crov.models.ActivationKey;
import com.crov.repositories.ActivationKeyRepository;


@Service
public class ActivationKeyService {

	@Autowired
	ActivationKeyRepository actiKeyRepo;
	
	public int revisarLicenciaActivaSinUso (String ActivationCode) {
		return actiKeyRepo.revisarLicenciaActivaSinUso(ActivationCode);
	}
	
	public ActivationKey getActivationCodePorCodigoActivacion(String actKey) {
		
		return actiKeyRepo.getActivationCodePorCodigoActivacion(actKey);
	}
	
	public void actualizarActiveKey(String id_key) {
		actiKeyRepo.updateActKeyToNo(id_key);
	}
	
	public void generarLicenciaVitalicia(ActivationKey ak) {
		 actiKeyRepo.save(ak);
	}
	
}
