package com.crov.services;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.crov.models.Software;
import com.crov.repositories.SoftwareRepository;

@Service
public class SoftwareService {

	@Autowired
	SoftwareRepository softwareRepo;
	
	public int revisarMacExistePreviamente (String valueMac) {
		
		return softwareRepo.revisarMacExistePreviamente(valueMac);
	}
	
	public Software save(Software software) {
		return softwareRepo.save(software);
	}
	
	public Software getSofwareByMac(String mac) {
		return softwareRepo.getSoftwareByMac(mac);
	}
	
	public String getIdSoftwareByToken(String token) {
		return softwareRepo.getSoftwareByToken(token);
	}
}
